unit HZed;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, RXSpin, ExtCtrls;

type
  TFmHZed = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    edHZConType: TRadioGroup;
    gbHZPower: TGroupBox;
    edHZPower: TRxSpinEdit;
    cbHZCalc: TCheckBox;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure edHZPowerChange(Sender: TObject);
    procedure edHZConTypeClick(Sender: TObject);
    procedure cbHZCalcClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FmHZed: TFmHZed;

implementation

uses Data;

{$R *.DFM}

procedure TFmHZed.FormCreate(Sender: TObject);
begin
  edHzPower.Value := HzPower;
  edHZConType.ItemIndex:= HZConType;
  cbHZCalc.Checked := HZCalc;
  cbHZCalcClick(cbHZCalc);
end;

procedure TFmHZed.edHZPowerChange(Sender: TObject);
begin
  HZPower := edHZPower.Value;
end;

procedure TFmHZed.edHZConTypeClick(Sender: TObject);
begin
  HZConType := edHZConType.ItemIndex;
end;

procedure TFmHZed.cbHZCalcClick(Sender: TObject);
begin
  gbHZPower.Enabled := not cbHZCalc.Checked;
  HZCalc := cbHZCalc.Checked;
end;

end.
